org.omg.PortableServer

## Interface ThreadPolicyOperations

- All Superinterfaces:
    PolicyOperations
  All Known Subinterfaces:
    ThreadPolicy

      public interface ThreadPolicyOperations
      extends PolicyOperations

  The ThreadPolicy specifies the threading model used with the created POA. The default is ORB_CTRL_MODEL.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThreadPolicyValue` | `value()` specifies the policy value

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`

- - ### Method Detail

    - #### value

          ThreadPolicyValue value()

      specifies the policy value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.